Doomsday Engine - Feature #1680

Quad-buffered GL framebuffer
2013-12-16 09:35 - skyjake

Status: Closed Start date: 2013-12-16
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 1.13

Description

Support for VR mode 13 (quad buffered, stereoscopic framebuffer). GLFramebuffer must provide a way to set which back buffer

(left/right) to render to.

Related issues:
Related to Feature #1678: Optimize stereoscopic pixel formats

Rejected

Associated revisions

Revision 86d42937 - 2013-12-16 21:20 - skyjake

Renderer: Use the left/right stereo swap mode in VR mode 13 (quad-buffered)
Todo: Test this on actual hardware.

IssuelD #1680

History

#1 - 2013-12-16 21:21 - skyjake

- % Done changed from 0 to 50

| pushed some changes to master that might fix VR mode 13.
cmbruns: could you test this, please?

#2 - 2013-12-16 21:23 - skyjake
- Parent task set to #1678

#3 - 2013-12-19 02:30 - cmbruns
skyjake wrote:
| pushed some changes to master that might fix VR mode 13.

cmbruns: could you test this, please?

Yes, VR mode 13 is working in current master branch.

#4 - 2013-12-19 12:30 - skyjake
- Status changed from In Progress to Closed

- % Done changed from 50 to 100

#5 - 2013-12-23 12:31 - skyjake
- Parent task deleted (#1678)
